
gamerule sendCommandFeedback false

# Scoreboard tabulky
scoreboard objectives add page dummy
scoreboard objectives add max_health dummy
scoreboard objectives add random dummy
scoreboard objectives add health health
scoreboard objectives add damage_taken custom:damage_taken
scoreboard objectives add xp_level dummy
scoreboard objectives add challenge_settings trigger
scoreboard objectives add delete_pack trigger
scoreboard objectives add pack_info trigger
scoreboard objectives add language_menu trigger

# Úvodní text | menu
# 0 - CZ
# 1 - EN

execute unless score language challenge_settings = language challenge_settings run scoreboard players set language challenge_settings 2

execute if predicate pack:cz run tellraw @a [{"text":"\n"},{"text":"  Challenge Pack 1.0.0\n  ","color":"gold"},{"text":"by LibcaJr\n\n  ","color":"light_purple"},{"text":"[","color":"aqua"},{"text":"MENU","color":"green","clickEvent":{"action":"run_command","value":"/trigger challenge_settings set 1"},"hoverEvent":{"action":"show_text","contents":"Seznam challengí"}},{"text":"] [","color":"aqua"},{"text":"JAZYK","color":"blue","clickEvent":{"action":"run_command","value":"/trigger language_menu set -1"},"hoverEvent":{"action":"show_text","contents":"Nastavení jazyka datapacku"}},{"text":"] [","color":"aqua"},{"text":"ODSTRANIT","color":"red","clickEvent":{"action":"run_command","value":"/trigger delete_pack set 1"},"hoverEvent":{"action":"show_text","contents":"Odstraní funkce vytvořené datapackem"}},{"text":"]","color":"aqua"},{"text":"\n "}]
execute if predicate pack:en run tellraw @a [{"text":"\n"},{"text":"  Challenge Pack 1.0.0\n  ","color":"gold"},{"text":"by LibcaJr\n\n  ","color":"light_purple"},{"text":"[","color":"aqua"},{"text":"MENU","color":"green","clickEvent":{"action":"run_command","value":"/trigger challenge_settings set 1"},"hoverEvent":{"action":"show_text","contents":"List of challenges"}},{"text":"] [","color":"aqua"},{"text":"LANGUAGE","color":"blue","clickEvent":{"action":"run_command","value":"/trigger language_menu set -1"},"hoverEvent":{"action":"show_text","contents":"Datapack language settings"}},{"text":"] [","color":"aqua"},{"text":"DELETE","color":"red","clickEvent":{"action":"run_command","value":"/trigger delete_pack set 1"},"hoverEvent":{"action":"show_text","contents":"Removes features created by datapack"}},{"text":"]","color":"aqua"},{"text":"\n "}]

# Constants
scoreboard objectives add constants dummy
scoreboard players set 10 constants 10

# Toggle challenge
scoreboard objectives add reset_challenges trigger
scoreboard objectives add toggle_xphealth trigger
scoreboard objectives add toggle_hide_in_dark trigger
scoreboard objectives add toggle_no_block_drops trigger
scoreboard objectives add toggle_no_armor trigger
scoreboard objectives add toggle_no_sounds trigger
scoreboard objectives add toggle_random_mob_sounds trigger
scoreboard objectives add toggle_random_knockback trigger

data merge storage challenge:menu {page: 1b}
execute store result storage challenge:random_mob_sounds x byte 1 run random value -5..5
execute store result storage challenge:random_mob_sounds y byte 1 run random value -3..3
execute store result storage challenge:random_mob_sounds z byte 1 run random value -5..5

# Reload activeted challanges
execute if score .xphealth challenge_settings matches 2 run function pack:challenges/xphealth/setup
execute if score .hide_in_dark challenge_settings matches 2 run function pack:challenges/hide_in_dark/setup
execute if score .no_block_drops challenge_settings matches 2 run function pack:challenges/no_block_drops/setup
execute if score .random_mob_sounds challenge_settings matches 2 run function pack:challenges/random_mob_sounds/setup with storage challenge:random_mob_sounds

# First use pack | Challenges to OFF | 1 = disable   2 = enable
execute unless score .xphealth challenge_settings = .xphealth challenge_settings run scoreboard players set .xphealth challenge_settings 1
execute unless score .hide_in_dark challenge_settings = .hide_in_dark challenge_settings run scoreboard players set .hide_in_dark challenge_settings 1
execute unless score .no_block_drops challenge_settings = .no_block_drops challenge_settings run scoreboard players set .no_block_drops challenge_settings 1
execute unless score .no_armor challenge_settings = .no_armor challenge_settings run scoreboard players set .no_armor challenge_settings 1
execute unless score .no_sounds challenge_settings = .no_sounds challenge_settings run scoreboard players set .no_sounds challenge_settings 1
execute unless score .random_mob_sounds challenge_settings = .random_mob_sounds challenge_settings run scoreboard players set .random_mob_sounds challenge_settings 1
execute unless score .random_knockback challenge_settings = .random_knockback challenge_settings run scoreboard players set .random_knockback challenge_settings 1