
# Pack info
execute as @a[scores={pack_info=1..}] run function pack:info
execute as @a[scores={language_menu=1..}] at @s run function pack:info

# Delete pack
execute as @a[scores={delete_pack=1..}] run function pack:delete

# Reset challenges
execute as @a[scores={reset_challenges=1..}] unless score @s page = @s page run scoreboard players set @s page 1
execute as @a[scores={reset_challenges=1..}] store result storage challenge:menu page byte 1 run scoreboard players get @s page
execute as @a[scores={reset_challenges=1..}] run function pack:challenges/reset with storage challenge:menu

# Change of settings
execute as @a[predicate=pack:changed_challenge] store result storage challenge:menu page byte 1 run scoreboard players get @s page
execute as @a[predicate=pack:changed_challenge] run function pack:challenges/show_menu_macro with storage challenge:menu

# Show menu
execute as @a[scores={challenge_settings=1..}] at @s run function pack:challenges/show_menu
execute as @a[scores={language_menu=-1}] at @s run function pack:language_menu

# Challenge settings
scoreboard players enable @a pack_info
scoreboard players enable @a reset_challenges
scoreboard players enable @a delete_pack
scoreboard players enable @a challenge_settings
scoreboard players enable @a language_menu

# xphealth challenge
execute if score .xphealth challenge_settings matches 2 as @a if score @s xp_level matches 0 run xp set @s 0 points
execute if score .xphealth challenge_settings matches 2 as @a if score @s xp_level matches 0 run xp set @s 1 levels
execute if score .xphealth challenge_settings matches 2 as @a store result score @s xp_level run xp query @s levels
execute if score .xphealth challenge_settings matches 2 as @a[scores={health=20}] if score @s xp_level matches 1 run function pack:challenges/xphealth/transfer
execute if score .xphealth challenge_settings matches 2 as @a[scores={damage_taken=1..}] run function pack:challenges/xphealth/transfer
execute if score .xphealth challenge_settings matches 2 as @a[scores={xp_level=1..}] unless score @s xp_level = @s max_health run function pack:challenges/xphealth/transfer

# No sounds challenge
execute if score .no_sounds challenge_settings matches 2 run stopsound @a

# Random knockback
execute if score .random_knockback challenge_settings matches 2 as @e[type=!#pack:no_hurt,predicate=pack:hurted] run function pack:challenges/random_knockback/apply_motion
